%define	name CImg
%define version 1.6.1
%define release %mkrel 2

Summary:	Tools for advanced image processing
Name:		%name
Version:	%version
Release:	%release
Source0:	%name-%version.tar.xz
License:	CeCiLL
Group:		Graphics
BuildRoot:	%_tmppath/%name-%version-root
URL:		http://cimg.sourceforge.net/
BuildRequires:  %{_lib}png-devel, %{_lib}jpeg-devel, %{_lib}tiff-devel, %{_lib}freetype6-devel, %{_lib}jbig-devel, %{_lib}magick-devel
BuildRequires:  %{_lib}lcms-devel, %{_lib}jasper-devel, %{_lib}djvulibre-devel, %{_lib}fontconfig-devel, %{_lib}sm-devel, %{_lib}ice-devel
BuildRequires:  %{_lib}xml2-devel, %{_lib}fftw3, %{_lib}gimp2.0-devel

%description
The CImg Library is an open-source C++ toolkit for image processing. 
It consists in a single header file 'CImg.h' providing a minimal set of C++ 
classes and methods that can be used in your own sources, to load/save, 
process and display images. Very portable, efficient and easy to use, 
it's a pleasant library for developping image processing algorithms in C++.

This package contains tools based on the CImg library.

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}
Group:	Development/Libraries

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
pushd examples
%make olinux
popd


%install
mkdir -p %{buildroot}%{_bindir}
pushd examples
mv captcha %{buildroot}%{_bindir}
mv CImg_demo %{buildroot}%{_bindir}
mv curve_editor2d %{buildroot}%{_bindir}
mv dtmri_view3d %{buildroot}%{_bindir}
mv edge_explorer2d %{buildroot}%{_bindir}
mv fade_images %{buildroot}%{_bindir}
mv gaussian_fit1d %{buildroot}%{_bindir}
mv generate_loop_macros %{buildroot}%{_bindir}
mv hough_transform2d %{buildroot}%{_bindir}
mv image2ascii %{buildroot}%{_bindir}
mv image_registration2d %{buildroot}%{_bindir}
mv image_surface3d %{buildroot}%{_bindir}
mv jawbreaker %{buildroot}%{_bindir}
mv mcf_levelsets2d %{buildroot}%{_bindir}
mv mcf_levelsets3d %{buildroot}%{_bindir}
mv odykill %{buildroot}%{_bindir}
mv pde_heatflow2d %{buildroot}%{_bindir}
mv pde_TschumperleDeriche2d %{buildroot}%{_bindir}
mv plotter1d %{buildroot}%{_bindir}
mv radon_transform2d %{buildroot}%{_bindir}
mv scene3d %{buildroot}%{_bindir}
mv spherical_function3d %{buildroot}%{_bindir}
mv tetris %{buildroot}%{_bindir}
mv tron %{buildroot}%{_bindir}
mv tutorial %{buildroot}%{_bindir}
mv use_draw_gradient %{buildroot}%{_bindir}
mv use_nlmeans %{buildroot}%{_bindir}
mv use_RGBclass %{buildroot}%{_bindir}
mv use_skeleton %{buildroot}%{_bindir}
mv wavelet_atrous %{buildroot}%{_bindir}
popd

mkdir -p %{buildroot}%{_includedir}/%{name}
mv plugins %{buildroot}%{_includedir}/%{name}
mv %{name}.h %{buildroot}%{_includedir}/%{name}
ln -s %{name}/%{name}.h %{name}.h
mv %{name}.h %{buildroot}%{_includedir}

%clean
rm -rf %buildroot

%files
%{_bindir}/*

%files devel
%doc *.txt 
%{_includedir}/CImg.h
%{_includedir}/%{name}*

%changelog
* Fri Mar 27 2015 bb <bb> 1.6.1-2pclos2015
- fix this package

* Tue Mar 17 2015 Agent Smith <ruidobranco@yahoo.com.br> 1.6.1-1pclos2015
- updated the package to the most recent source, removed Greycstoration (deprecated). Only devel package now builds.

* Sat May 29 2010 slick50 <lxgator@gmail.com> 1.2.7-pclos2010
- 1.2.7

